org.springframework.data.mapping.context

## Class InvalidPersistentPropertyPath

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.data.mapping.MappingException
        - - org.springframework.data.mapping.context.InvalidPersistentPropertyPath

All Implemented Interfaces:
  Serializable

    public class InvalidPersistentPropertyPath
    extends MappingException

Exception to indicate a source path couldn't be resolved into a `PersistentPropertyPath` completely.

Author:
  Oliver Gierke
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidPersistentPropertyPath(String source, TypeInformation<?> type, String unresolvableSegment, PersistentPropertyPath<? extends PersistentProperty<?>> resolvedPath)` Creates a new `InvalidPersistentPropertyPath` for the given resolved path and message.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getResolvedPath()` Returns the part of the source path until which the source property path could be resolved.
`String` `getSource()` Returns the source property path.
`TypeInformation<?>` `getType()` Returns the type the source property path was attempted to be resolved on.
`String` `getUnresolvableSegment()` Returns the segment of the source property path that could not be resolved.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidPersistentPropertyPath

    public InvalidPersistentPropertyPath(String source,
                                         TypeInformation<?> type,
                                         String unresolvableSegment,
                                         PersistentPropertyPath<? extends PersistentProperty<?>> resolvedPath)

Creates a new `InvalidPersistentPropertyPath` for the given resolved path and message.

Parameters:
  `source` - must not be null.
  `unresolvableSegment` - must not be null or empty.
  `resolvedPath` -
  `message` - must not be null or empty.

### Method Detail

#### getSource

    public String getSource()

Returns the source property path.

Returns:
  the source will never be null.

#### getType

    public TypeInformation<?> getType()

Returns the type the source property path was attempted to be resolved on.

Returns:
  the type will never be null.

#### getUnresolvableSegment

    public String getUnresolvableSegment()

Returns the segment of the source property path that could not be resolved.

Returns:
  the unresolvableSegment

#### getResolvedPath

    public String getResolvedPath()

Returns the part of the source path until which the source property path could be resolved.

Returns:
  the resolvedPath